com.amazonaws.services.elastictranscoder.model

## Class UpdatePipelineNotificationsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.UpdatePipelineNotificationsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdatePipelineNotificationsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `UpdatePipelineNotificationsRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdatePipelineNotificationsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdatePipelineNotificationsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getId()` The identifier of the pipeline for which you want to change notification settings.
`Notifications` `getNotifications()` The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.
`int` `hashCode()`
`void` `setId(String id)` The identifier of the pipeline for which you want to change notification settings.
`void` `setNotifications(Notifications notifications)` The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdatePipelineNotificationsRequest` `withId(String id)` The identifier of the pipeline for which you want to change notification settings.
`UpdatePipelineNotificationsRequest` `withNotifications(Notifications notifications)` The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdatePipelineNotificationsRequest

    public UpdatePipelineNotificationsRequest()

### Method Detail

#### setId

    public void setId(String id)

The identifier of the pipeline for which you want to change notification settings.

Parameters:
  `id` - The identifier of the pipeline for which you want to change notification settings.

#### getId

    public String getId()

The identifier of the pipeline for which you want to change notification settings.

Returns:
  The identifier of the pipeline for which you want to change notification settings.

#### withId

    public UpdatePipelineNotificationsRequest withId(String id)

The identifier of the pipeline for which you want to change notification settings.

Parameters:
  `id` - The identifier of the pipeline for which you want to change notification settings.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNotifications

    public void setNotifications(Notifications notifications)

The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.

<important>

To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

</important>

- Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

- Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

- Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

- Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

Parameters:
  `notifications` - The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status. <important>

  To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

  </important>

  - Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

  - Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

  - Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

  - Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

#### getNotifications

    public Notifications getNotifications()

The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.

<important>

To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

</important>

- Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

- Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

- Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

- Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

Returns:
  The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status. <important>

  To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

  </important>

  - Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

  - Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

  - Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

  - Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

#### withNotifications

    public UpdatePipelineNotificationsRequest withNotifications(Notifications notifications)

The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status.

<important>

To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

</important>

- Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

- Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

- Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

- Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

Parameters:
  `notifications` - The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify to report job status. <important>

  To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

  </important>

  - Progressing: The topic ARN for the Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process jobs that are added to this pipeline. This is the ARN that Amazon SNS returned when you created the topic.

  - Completed: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing a job. This is the ARN that Amazon SNS returned when you created the topic.

  - Warning: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition. This is the ARN that Amazon SNS returned when you created the topic.

  - Error: The topic ARN for the Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition. This is the ARN that Amazon SNS returned when you created the topic.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdatePipelineNotificationsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`